POST api/batchapi/add/begindryingstep
Request Information
URI Parameters
None.
Body Parameters
BatchMedistreamViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| batch_id | globally unique identifier |
Required |
|
| medistream_id | globally unique identifier |
Required |
|
| witness_id | globally unique identifier |
Required |
|
| compartment | integer |
Required |
|
| temp_max | decimal number |
None. |
|
| start_time | date |
None. |
|
| stop_time | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "3cb1b547-e5eb-48d1-959b-4a879fb0ef6d",
"batch_id": "31e68f8a-714b-4e3f-a954-762e5e566ffb",
"medistream_id": "27396b5e-1f41-4eaa-bc2e-1da5d9a5f220",
"witness_id": "e0da888f-5cc2-4e2f-8564-5a42a1a31e70",
"compartment": 1,
"temp_max": 1.1,
"start_time": "2026-09-25T05:42:25.4086431+00:00",
"stop_time": "2026-09-25T05:42:25.4086431+00:00"
}
application/xml, text/xml
Sample:
<batch_medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <batch_id>31e68f8a-714b-4e3f-a954-762e5e566ffb</batch_id> <compartment>1</compartment> <id>3cb1b547-e5eb-48d1-959b-4a879fb0ef6d</id> <medistream_id>27396b5e-1f41-4eaa-bc2e-1da5d9a5f220</medistream_id> <start_time>2026-09-25T05:42:25.4086431+00:00</start_time> <stop_time>2026-09-25T05:42:25.4086431+00:00</stop_time> <temp_max>1.1</temp_max> <witness_id>e0da888f-5cc2-4e2f-8564-5a42a1a31e70</witness_id> </batch_medistream>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"0ef7a313-974a-4cdf-85a3-d0f01aab4b4a"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">0ef7a313-974a-4cdf-85a3-d0f01aab4b4a</guid>